ProjectControllerCreateProject Method |
POST /Project/
Creates a project with the specified name.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage CreateProject(
[FromBodyAttribute] CreateProjectOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function CreateProject (
<FromBodyAttribute> options As CreateProjectOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ CreateProject(
[FromBodyAttribute] CreateProjectOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member CreateProject :
[<FromBodyAttribute>] options : CreateProjectOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsCreateProjectOptions
A class containing the create project options. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA
ProjectData object representing the newly created project, or a status code indicating the reason for failure..
See Also